PHP Manual
Prev |  | Next

# gzuncompress

(PHP 4 >= 4.0.1, PHP 5)

gzuncompress -- Uncompress a compressed string

## Description

string gzuncompress ( string data [, int length] )

This function uncompress a compressed string.

## Parameters

`data`

  The data compressed by gzcompress().

`length`

  The maximum length of data to decode.

## Return Values

The original uncompressed data or `FALSE` on error.

The function will return an error if the uncompressed data is more than 32768 times the length of the compressed input `data` or more than the optional parameter `length`.

## Examples

Example 1. gzuncompress() example

`<?php $compressed = gzcompress('Compress me', 9); $uncompressed = gzuncompress($compressed); echo $uncompressed; ?>`

## See Also

gzcompress()
gzinflate()
gzdeflate()
gzencode()

Prev | Home | Next
gztell | Up | gzwrite